

// Model #1 parameters. 
//model_filename1 = "CN-ElectronicsHousing.stl";
model_rotate1 = [90,0,0]; //Units are degrees
model_translate1 = [0,0,-.5];
model_scale1 = [1,1,1];

// Model #2 parameters. 
model_filename2 = "CN-Cluster.stl";
model_rotate2 = [90,0,0]; //Units are degrees
model_translate2 = [0,0,-.5];
model_scale2 = [1,1,1];

// Model #3 parameters. 
model_filename3 = "CN-TriggerTop.stl";
model_rotate3 = [90,0,0]; //Units are degrees
model_translate3 = [0,0,-.5];
model_scale3 = [1.05,1.05,1];


// Model #4 parameters. 
model_filename4 = "rock_formation_customizer.stl";
model_rotate4 = [0,0,0]; //Units are degrees
model_translate4 = [0,0,-12];
model_scale4 = [3,3,3];

difference(){
    scale([.7,.7,.7])
    union(){
        difference(){
            union() {
                { //THIS IS IMPORTED MODEL #1
                        scale(model_scale1)	
                            translate(model_translate1)
                                rotate(model_rotate1)
                                    import(model_filename1);
            
                }
                { //THIS IS IMPORTED MODEL #2
                        scale(model_scale2)	
                            translate(model_translate2)
                                rotate(model_rotate2)
                                    import(model_filename2);
            
                }
                { //THIS IS IMPORTED MODEL #3
                        scale(model_scale3)	
                            translate(model_translate3)
                                rotate(model_rotate3)
                                    import(model_filename3);
            
                }
            
            }
            translate([0,0,-20]){cylinder(h=5, r=50, center = true);} 
            cylinder(h=50, r=35/2, center = true);
        
        
        }
    
        { //THIS IS IMPORTED MODEL #4
                scale(model_scale4)	
                    translate(model_translate4)
                        rotate(model_rotate4)
                            import(model_filename4);
    
        }
    
    }
  votive();
}



//module votive(){

  //  cylinder(h=50, r=35/2, center = true);
  //  translate([0,0,-30]){cylinder(h=25, r=50/2, center = true);}



module votive(){
   // difference(){
     //   translate([0,0,48/2])cylinder(h=48, r1=43/2, r2=38/2, center = true);
        union() {
            translate([0,0,26-.01+37.5/4-36.1])cylinder(h=37.5/2, r1=37.5/2, r2=1, center = true);
            translate([0,0,26/2-.01-36]){cylinder(h=26, r1=40/2,r2=37.5/2 , center = true);}
                cylinder(h=50, r=20/2, center = true);

        }
 //   translate([0,0,0])cylinder(h=.01, r=100, center = true);

    } 